# frozen_string_literal: true

require './lib/andrii_codebreaker/version'
lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'andrii_codebreaker'
  spec.version       = AndriiCodebreaker::VERSION
  spec.authors       = ['Andrii']
  spec.email         = ['andrii.okhrimets@rubygarage.org']

  spec.summary       = 'Game in Codebreaker'
  spec.description   = 'Game in Codebreaker'
  spec.homepage      = 'https://github.com/Andrii-RubyGarage/Codebreker-Gem'
  spec.license       = 'MIT'
  spec.required_ruby_version = '>= 2.7.2'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage

  spec.add_development_dependency 'fasterer'
  spec.add_development_dependency 'ffaker'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rubocop-rspec'
  spec.add_development_dependency 'simplecov'

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end

  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
end
